package com.zyyt.springboot.service.impl;

import com.zyyt.springboot.bean.Student;
import com.zyyt.springboot.dao.StudentDao;
import com.zyyt.springboot.service.StudentService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class StudentServiceImpl implements StudentService {
    @Resource
    private StudentDao studentDao;
    @Override
    public int addStudent(Student student) {
        return studentDao.addStudent(student);
    }
    @Override
    public int deleteStudentById(Long id) {
        return studentDao.deleteStudentById(id);
    }
    @Override
    public int updateStudentById(Student student) {
        return studentDao.updateStudentById(student);
    }
    @Override
    public Student queryStudentById(Long id) {
        return studentDao.queryStudentById(id);
    }
    @Override
    public List<Student> queryStudentList(Student student) {
        return studentDao.queryStudentList(student);
    }
}
