package com.zyyt.springboot.bean;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
public class Student implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;//序号
    private String name;// 姓名
    private Integer sex;//性别 0-男 1-女
    private Integer age;//年龄
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date time;//出生年月
    private String remarks;//备注
    private Date createTime;//创建时间
}
